module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: [
    "plugin:vue/essential",
    "eslint:recommended",
    "plugin:prettier/recommended"
  ],
  parserOptions: {
    parser: "@babel/eslint-parser"
  },
  rules: {
    "vue/multi-word-component-names": "off",
    // 不使用script-setup
    "vue/script-setup-uses-vars": "off"
  },
  ignorePatterns: ["public/*"] // 忽略 public 文件夹下的所有文件
};
